%define lib_major 0
%define libname %mklibname %{name}-private %{lib_major}
%define libnamedev %mklibname -d %{name}-private
%define startup_notification_version 0.4

%define libcm_version 0.1.1

Summary: Metacity window manager
Name: metacity
Version: 2.20.0
Release: %mkrel 1
URL: http://ftp.gnome.org/pub/gnome/sources/metacity/
Source0: http://ftp.gnome.org/pub/GNOME/sources/metacity/%{name}-%{version}.tar.bz2
Source1: Wonderland-metacity-0.47.tar.bz2
Source2: http://download.gnome.org/sources/libcm/libcm-%{libcm_version}.tar.bz2
# (fc) 2.3.987-2mdk use Ia Ora as default theme
Patch2: metacity-2.15.21-defaulttheme.patch
# (fc) 2.15.3-1mdv build with static libcm (Fedora)
Patch3: metacity-2.15.3-static-cm.patch

License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel >= 1.1.9
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: libxtst-devel
BuildRequires: libmesaglu-devel
#gw for the broken intltool scripts
BuildRequires: perl-XML-Parser
BuildRequires: GConf2
BuildRequires: intltool

%description
Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%package -n %{libname}
Summary:        Libraries for Metacity
Group:          System/Libraries

%description -n %{libname}
This package contains libraries used by Metacity.

%package -n %{libnamedev}
Summary:        Libraries and include files with Metacity
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:		%{libname} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		lib%{name}-private-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{name}-private 0

%description -n %{libnamedev}
This package provides the necessary development libraries and include 
files to allow you to develop with Metacity.


%prep
%setup -q
%setup -q -D -T -a2
%patch2 -p1 -b .defaulttheme
%patch3 -p1 -b .static-cm

#needed by patch3
intltoolize --force
aclocal
autoconf
automake -a -c

%build

cd libcm-%{libcm_version}
%configure2_5x
%make
make install DESTDIR="$PWD/prefix"
cd ..

LIBS="$LIBS -lGL -lGLU"
LIBS="$LIBS -lICE -lSM"
LIBS="$LIBS -lX11 -lXext -lXinerama -lXrandr"
LIBS="$LIBS -lXrender -lXcursor"
LIBS="$LIBS -lXdamage -lXtst -lXfixes -lXcomposite"
%ifnarch s390 s390x ppc64
LIBS="$LIBS $PWD/libcm-%{libcm_version}/prefix/%{_libdir}/libcm.a"
%endif
export LIBS

CPPFLAGS="-I$PWD/libcm-%{libcm_version}/prefix/%{_includedir}"
export CPPFLAGS


%configure2_5x --enable-compositor
%make 

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/Wonderland/metacity-1
tar -xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/themes/Wonderland/metacity-1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas metacity

# update default window theme on distribution upgrade
%triggerpostun -- metacity < 2.19.55
if [ "x$META_CLASS" != "x" ]; then
 case "$META_CLASS" in
  *server) METACITY_THEME="Ia Ora Gray" ;;
  *desktop) METACITY_THEME="Ia Ora One" ;;
  *download) METACITY_THEME="Ia Ora Free";;
 esac

  if [ "x$METACITY_THEME" != "x" ]; then
  %{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --type=string --set /apps/metacity/general/theme "$METACITY_THEME" > /dev/null
  fi
fi



%post
if [ ! -d %{_sysconfdir}/gconf/gconf.xml.local-defaults/apps/metacity/general -a "x$META_CLASS" != "x" ]; then
 case "$META_CLASS" in
  *server) METACITY_THEME="Ia Ora Gray" ;;
  *desktop) METACITY_THEME="Ia Ora One" ;;
  *download) METACITY_THEME="Ia Ora Free";;
 esac

  if [ "x$METACITY_THEME" != "x" ]; then 
  %{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --type=string --set /apps/metacity/general/theme "$METACITY_THEME" > /dev/null
  fi
fi
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS HACKING 
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libexecdir}/metacity-dialog
%{_datadir}/gnome-control-center/keybindings/50-metacity*.xml
%{_datadir}/gnome/wm-properties/*
%{_datadir}/metacity
%{_datadir}/themes/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88438
- new version

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.55-2mdv2008.0
+ Revision: 81034
- Migrate default theme when upgrading from old distribution

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.55-1mdv2008.0
+ Revision: 59865
- update file list
- new version
- drop patch 4
- call intltoolize to fix build

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.34-2mdv2008.0
+ Revision: 58081
- Patch4: fix kill dialog text with non-UTF8 locale

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.34-1mdv2008.0
+ Revision: 54918
- new version
- new devel naming scheme

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.21-1mdv2008.0
+ Revision: 40820
- new version

* Mon Jun 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.13-1mdv2008.0
+ Revision: 38000
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2008.0
+ Revision: 35201
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 17809
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 14423
- new version
- update file list


* Fri Apr 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2007.1
+ Revision: 150772
- new version
- drop merged patches 4,5
- new version

* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 149095
- Patch5 (SVN): fix session hang (GNOME bug #407981)

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 148024
-Patch4 (CVS): fix rounder corners (GNOME bug #399373)

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142147
- new version
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2007.1
+ Revision: 126210
- new version

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 109607
- new version
- libcm 0.1.1

* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 104750
- new libcm

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 94729
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 87631
- new version
- unpack patches
- Import metacity

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.0
- drop patches 4,5
- New version 2.16.3

* Wed Sep 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-4mdv2007.0
- Oops, Ia Ora Yellow is no more, should be Ia Ora Orange

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2007.0
- Patch5 (CVS): fix window flashing/flickering (GNOME bug #332385)

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Patch4 (CVS): 64bits fixes (GNOME bug #348308)

* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 4
- New version 2.16.1

* Mon Sep 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch4 (Elijah): fix bad focus assignation (GNOME bug #354422)

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.34-1mdv2007.0
- New release 2.15.34

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.21-2mdv2007.0
- Update patch2 to use Ia Ora Blue theme as default
- add post magic to register theme based on meta_class
- use more macros

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.21-1mdv2007.0
- New release 2.15.21

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.13-1
- New release 2.15.13

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2007.0
- New release 2.15.8

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-1mdv2007.0
- Release 2.15.5
- libcm 0.22
- Remove patch4 (merged upstream)

* Sat Jun 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-5mdv2007.0
- Patch4 (CVS): fix crash when no compositor is running

* Fri Jun 09 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.15.3-4
- add BuildRequires: intltool

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-3mdv2007.0
- fix buildrequires

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-1mdv2007.0
- Release 2.15.3
- Source2: add libcm 0.0.21
- Patch3: build with static libcm

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdk
- New release 2.14.5

* Sun Apr 16 2006 Gtz Waschk <waschk@mandriva.org> 2.14.3-1mdk
- drop merged patch 3
- New release 2.14.3

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2
- Remove patch3 (merged upstream)
- Patch3 (CVS): allow choosing smart or strict focus

* Thu Mar 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Patch3 (Thomas Thurman): fix minimizing hidden windows (GNOME bug #315142)

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdk
- Fortify preun script

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patch2
- Remove patches 3, 4, 5, 6, 7, 8 (merged upstream)

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-3mdk
- Patch3 (CVS): optimize gradient computation
- Patch4 (CVS): improve round corners
- Patch5 (CVS): avoid obscuring centered-on-desktop windows which are denied focus
- Patch6 (CVS): fix flicker when focusing window
- Patch7 (CVS): restore size correctly
- Patch8 (CVS): fix modal dialog stacking

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.10.3-2mdk
- Fix BuildRequires

* Tue Jul 26 2005 Gtz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Remove patch3 (merged upstream)

* Mon Mar 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.13-2mdk 
- Patch3: activate correct window when on different workspace

* Sun Feb 20 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.13-1mdk
- New release 2.8.13

* Tue Dec 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.8-1mdk
- drop patch 3
- New release 2.8.8

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.6-1mdk
- New release 2.8.6
- Remove patches 3, 4, 5, 6, 7, 8, 9 (merged upstream)
- Patch3 (Fedora): workaround right alt problem

* Wed Oct 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk
- Update patch6 to completely fix Mdk bug #10689 when using workspace switcher

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk
- Update patch6 with real fix for mdk bug #11359 (Thanks to Elijah)

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk
- Patch8 (CVS): fix choice of focus window to be consistent for each mode
- Patch9 (CVS): fix race in choosing window to focus
- Regenerate patch 6 (still doesn't fix Mdk bug #11359 completely)

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk
- Update patch 6 to also fix Mdk bug #11359

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-3mdk
- Patch4 (CVS): choose correct window to focus when unshowing desktop
- Patch5 (CVS): don't output warning when no session manager is running
- Patch6 (CVS): fix focus when using workspace switcher (Mdk bug #10689)
- Patch7 (CVS): assume sticky windows have high priority in MRU list

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk
- Drop patch 4 (no longer needed)
- enable libtoolize

* Thu May 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix source URL
- New release 2.8.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- Release 2.8.0 (with Gtz help)

